#!/bin/sh
: Make sure we get executed by sh on all systems

platform=`uname -s`;
echo "=========================================="
if id | grep "^uid=0(" >/dev/null 2>&1
	then # user IS superuser
        	echo "Commencing PSATSatellite uninstall as root.";
	else
        	echo "PSATSatellite needs to be uninstall as root.";
        	exit 1;
fi

cdir=`pwd`;

if [ -f $cdir/psat.sh ]; then
	sh $cdir/psat.sh stop;
fi

bnam=`basename $cdir`;
initservice=`ps -p1 | grep systemd | awk '{print $4}'`;
cd $cdir;

dest="/etc/systemd/system";
if [ -f $dest/visualware_psat.service ]; then
	echo "Removing existing systemd Visualware Publish service";
	systemctl stop visualware_psat;
	systemctl disable visualware_psat;
        rm $dest/visualware_psat.service;
fi
if [ -x /usr/sbin/update-rc.d ]; then
        dest="/etc/init.d";
        if [ -f $dest/$bnam ]; then
                echo "Removing existing init.d $bnam service";
                rm /etc/init.d/$bnam;
                /usr/sbin/update-rc.d -f $bnam remove;
        fi
        if [ -f $dest/visualware_psat ]; then
                echo "Removing existing init.d visualware_psat service";
                rm /etc/init.d/visualware_psat;
                /usr/sbin/update-rc.d -f visualware_psat remove;
        fi
fi
if [ -x /sbin/chkconfig ]; then
	if [ -f /etc/debian_version ]; then
		dest="/etc/init.d";
	elif [ -f /etc/SuSE-release ]; then
		dest="/etc/init.d";
	else
		dest="/etc/rc.d/init.d";
	fi
	if [ -f $dest/$bnam ]; then
		echo "Removing existing chkconfig $bnam service";
		chkconfig --del $bnam;
		rm $dest/$bnam;
	fi
        if [ -f $dest/visualware_psat ]; then
                echo "Removing existing chkconfig visualware_psat service";
                chkconfig --del visualware_psat;
        fi
fi

if [ -f x86_64PublishSatellite ]; then
	rm x86_64PublishSatellite;
fi
if [ -f MCSPubsat ]; then
	rm MCSPubsat;
fi
if [ -f start_psat.sh ]; then 
	rm start_psat.sh;
fi
if [ -f stop_psat.sh ]; then 
	rm stop_psat.sh;
fi
if [ -f psat.sh ]; then 
	rm psat.sh;
fi
if [ -f pubsat.ini ]; then 
	rm pubsat.ini;
fi
if [ -f visualware_psat.service ]; then 
	rm visualware_psat.service;
fi
if [ -f visualware_psat.sh ]; then 
	rm visualware_psat.sh;
fi
if [ -f psat_configure.sh ]; then 
	rm psat_configure.sh;
fi
if [ -f console.log ]; then 
	rm console.log;
fi
if [ -f console.psat.log ]; then 
	rm console.psat.log;
fi
if [ -f read_me.txt ]; then 
	rm read_me.txt;
fi
if [ -f prevlocation ]; then 
	rm prevlocation;
fi
echo "=========================================="
echo "PSATSatellite uninstall complete.";
